Package Base Details: lib32-llvm-minimal-git

Git Clone URL: https://aur.archlinux.org/lib32-llvm-minimal-git.git (read-only, click to copy)
Submitter: Lone_Wolf
Maintainer: Lone_Wolf
Last Packager: Lone_Wolf
Votes: 1
Popularity: 0.000012
First Submitted: 2019-05-14 19:33
Last Updated: 2020-10-25 16:18

Pinned Comments

Lone_Wolf commented on 2019-08-21 13:47

When building this you're likely to get test failures.

The ones related to tools/gold are a consequence of certain choices and should be unimportant.

Use --nocheck option to prevent makepkg from running the check() function

Latest Comments

Lone_Wolf commented on 2020-07-16 10:35

12.0.0_r360444.2762da0a16a-1 only gives the usual test failures, no build failure.

Try building in a clean chroot, https://wiki.archlinux.org/index.php/DeveloperWiki:Building_in_a_clean_chroot

Maltahl commented on 2020-07-15 17:15

Sorry but i have trouble building current version 12.0.0_r360380.8ef47244b95-1

 lib32-llvm-minimal-git/src/llvm-project/llvm/lib/Analysis/TFUtils.cpp:20:10: fatal error: tensorflow/c/c_api.h: No such file or directory
   20 | #include "tensorflow/c/c_api.h"
      |          ^~~~~~~~~~~~~~~~~~~~~~
compilation terminated.
[1178/2100] Building CXX object lib/Analysis/CMakeFiles/LLVMAnalysis.dir/ScalarEvolution.cpp.o
ninja: build stopped: subcommand failed.
==> ERROR: A failure occurred in build().
    Aborting...

Strunkenbold commented on 2020-05-09 21:08

Found the problem. For some strange reason it didnt removed .so.10 files from the src folder. So it packed the same old stuff over and over again in the package. I actually did git reset --hard, but it didnt helped. Sorry for the noise.

Lone_Wolf commented on 2020-05-02 14:16

The libraries installed by this pacakge should have version number 11 .

I checked and can install lib32-llvm-libs and lib32-llvm-libs-minimal-git together without problems.

Try installing lib32-llvm-libs while ib32-llvm-libs-minimal-git is already present. If that works the error is in another program and I'll need to see pacman -Syu log.

Strunkenbold commented on 2020-05-01 18:24

I upgraded already the lib32 minimal package but still getting an error during sys upgrafe that the following packages already exist in filesystem:

lib32-llvm-libs: /usr/lib32/libLLVM-10.0.0.so lib32-llvm-libs: /usr/lib32/libLLVM-10.so lib32-llvm-libs: /usr/lib32/libLTO.so.10

Lone_Wolf commented on 2019-11-05 21:10

Confirmed.

I had solved it locally but forgot to upload it.

sorry for that.

PedroHLC commented on 2019-11-04 18:01

Hi @Lone_Wolf it seems like some files in /usr/share/scan-view co-exists in llvm-minimal-git and lib32 version of the same package...

Lone_Wolf commented on 2019-08-21 13:47

When building this you're likely to get test failures.

The ones related to tools/gold are a consequence of certain choices and should be unimportant.

Use --nocheck option to prevent makepkg from running the check() function